#include <Date.au3>

Dim $CurrentlyActive, $LastActive

Global $LogFile = "ActiveWindow.log"

HotKeySet("{END}", "_Quit")

While 1
	$CurrentlyActive = _PIDGetProcessName(WinGetProcess(""))

	If $LastActive <> $CurrentlyActive Then
		ConsoleWrite($CurrentlyActive & @CRLF)
		FileWriteLine($LogFile, _NowDate() & " " & _NowTime(3) & " " & Chr(34) & $CurrentlyActive & Chr(34) & " WinTitle: " & Chr(34) & WinGetTitle("[ACTIVE]") & Chr(34))
	EndIf

	$LastActive = $CurrentlyActive
	Sleep(10)
Wend

; This function takes a PID and returns the process.exe with that PID.
Func _PIDGetProcessName($vPID)
	Local $aProcesslist = ProcessList()
	For $i = 1 To $aProcesslist[0][0]
		If $aProcesslist[$i][1] = $vPID Then
			;_Log($LogDebug, "_PIDGetProcessName got process: " & $aProcesslist[$i][0])
			Return $aProcesslist[$i][0]
		EndIf
	Next
EndFunc   ;==>_PIDGetProcessName

Func _Quit()
	Exit
EndFunc